{
    "kind": "List",
    "apiVersion": "v1",
    "metadata": {},
    "items": [
        {
            "apiVersion": "v1",
            "data": {
                "broker.ks": "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",
                "broker.ts": "/u3+7QAAAAIAAAABAAAAAgAGY2xpZW50AAABbrElQ5MABVguNTA5AAADYzCCA18wggJHoAMCAQICBFOWCtcwDQYJKoZIhvcNAQELBQAwYDELMAkGA1UEBhMCQ1oxDjAMBgNVBAgTBUN6ZWNoMQ0wCwYDVQQHEwRCcm5vMQ8wDQYDVQQKEwZSZWRIYXQxEDAOBgNVBAsTB1JIT0FSUUUxDzANBgNVBAMTBkNsaWVudDAeFw0xOTExMjgwODMzMDhaFw0yMDAyMjYwODMzMDhaMGAxCzAJBgNVBAYTAkNaMQ4wDAYDVQQIEwVDemVjaDENMAsGA1UEBxMEQnJubzEPMA0GA1UEChMGUmVkSGF0MRAwDgYDVQQLEwdSSE9BUlFFMQ8wDQYDVQQDEwZDbGllbnQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCCJ17eV18jQW6vJeOL9Z+XhSBPXaFz4LLyddaLLc+wZW2qOhPNqqJNY3hxCO/28/itXlkB4QixoT76R8PN6EQQG6Y8GMLampEml2DNHZrGSyZUu6lw3ZEh6uqGU5ttKs1wLiADzI5qzK/EUD4SYvjhTZXetRtT5ziOKU05kMRK7OXHHyLCEJMmp/YKewb/PMckxhgwSUFevnWzNsGio7+d3O67ixR6L4Ho2M4iRAg3uizLTTEdVujla/C+8qBdlh6yVyyi/g2UV31U1Z52v2Aq3yZLOQKqCXd5QDzAXwNV1Wo8VxZ2x7W65nZWjPyj+zrhyGJkcVQo9dX7sR4+wUdxAgMBAAGjITAfMB0GA1UdDgQWBBTrW2aybRVykaalDPtEPTyAkCJyETANBgkqhkiG9w0BAQsFAAOCAQEAbzWapJKvqYBHfTWjeHaNxqoh3UD+XmtL2GXwwPsN85v5l6YoxdenWu54Q268txKft6vZQscu4qZ9vP10J8jRlxpswwprM8KADZzW1ZOzPt58Y/S2qRFjz9e3y/zxlUwYWWzBNf3pnrfGOcSPwfKJkEAp5t2P0KkrFYZohhiW6FAnt1HiJ1/CJupFIDf7+20mdddXIpRcQcCj37uifDew+/wfNjzxavLrcr/cVyPywB4TfuGklKVCQz8GFE5f1+ZRkNjt1DXb6o+RUssGD7D8YDiNBnurPUs3LfDvPkJl87OBUWxTaTcJ1PXzRR69hu+NudSUmq4FqC40g1un5wI53DzIkGfkZQcx+lia0ghERf1RGuT2"
            },
            "kind": "Secret",
            "metadata": {
                "annotation": {
                    "description": "Broker's keystore and truststore. Password for both files is \"qwertz\""
                },
                "name": "amq-broker-secret"
            },
            "type": "Opaque"
        },
        {
            "apiVersion": "extensions/v1beta1",
            "kind": "Deployment",
            "metadata": {
                "labels": {
                    "app": "artemis"
                },
                "name": "artemis"
            },
            "spec": {
                "replicas": 1,
                "strategy": {
                    "type": "Recreate"
                },
                "template": {
                    "metadata": {
                        "labels": {
                            "app": "artemis",
                            "deploymentConfig": "artemis"
                        }
                    },
                    "spec": {
                        "containers": [
                            {
                                "env": [
                                    {
                                        "name": "AMQ_USER",
                                        "value": "user"
                                    },
                                    {
                                        "name": "AMQ_PASSWORD",
                                        "value": "password"
                                    },
                                    {
                                        "name": "AMQ_REQUIRE_LOGIN",
                                        "value": "true"
                                    },
                                    {
                                        "name": "AMQ_QUEUES",
                                        "value": "jms.queue.demoQueue"
                                    },
                                    {
                                        "name": "AMQ_KEYSTORE_TRUSTSTORE_DIR",
                                        "value": "/etc/amq-secret-volume"
                                    },
                                    {
                                        "name": "AMQ_TRUSTSTORE",
                                        "value": "broker.ts"
                                    },
                                    {
                                        "name": "AMQ_TRUSTSTORE_PASSWORD",
                                        "value": "qwertz"
                                    },
                                    {
                                        "name": "AMQ_KEYSTORE",
                                        "value": "broker.ks"
                                    },
                                    {
                                        "name": "AMQ_KEYSTORE_PASSWORD",
                                        "value": "qwertz"
                                    }
                                ],
                                "image": "registry-proxy.engineering.redhat.com/rh-osbs/amq-broker-7-amq-broker-75-openshift:7.5-13",
                                "name": "artemis",
                                "ports": [
                                    {
                                        "containerPort": 61616,
                                        "protocol": "TCP"
                                    },
                                    {
                                        "containerPort": 61617,
                                        "protocol": "TCP"
                                    }
                                ],
                                "volumeMounts": [
                                    {
                                        "mountPath": "/etc/amq-secret-volume",
                                        "name": "broker-secret-volume",
                                        "readOnly": true
                                    }
                                ]
                            }
                        ],
                        "volumes": [
                            {
                                "name": "broker-secret-volume",
                                "secret": {
                                    "secretName": "amq-broker-secret"
                                }
                            }
                        ]
                    }
                }
            }
        },
        {
            "apiVersion": "v1",
            "kind": "Service",
            "metadata": {
                "labels": {
                    "app": "artemis"
                },
                "name": "artemis"
            },
            "spec": {
                "ports": [
                    {
                        "name": "61616-tcp",
                        "port": 61616,
                        "protocol": "TCP",
                        "targetPort": 61616
                    },
                    {
                        "name": "61617-tcp",
                        "port": 61617,
                        "protocol": "TCP",
                        "targetPort": 61617
                    }
                ],
                "selector": {
                    "app": "artemis"
                },
                "type": "ClusterIP"
            }
        }
    ]
}
